For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • POSTCreate a Comment
      • POSTCreate a Like on a Comment
      • DELDelete a Comment
      • DELDelete a like from a comment
      • GETGet a Comment by ID
      • GETGet all the Comments and Replies from a Comment thread
      • GETGet comments and replies
      • GETGet impressions
      • POSTLeave a Reply on a Comment
      • DELMark a Comment as Uncompleted
      • POSTMark completed
      • PUTUpdate a Comment

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceComments

Get comments and replies

GET
https://api.frame.io/v2/comments/:comment_id/replies
GET
/v2/comments/:comment_id/replies
1import requests
2
3url = "https://api.frame.io/v2/comments/comment_id/replies"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1[
2 {
3 "annotation": "[...]",
4 "completed": false,
5 "completed_at": "2020-07-15T17:30:00.906305Z",
6 "completer_id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
7 "has_replies": true,
8 "id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
9 "like_count": 10,
10 "owner": {
11 "email": "jane@frame.io",
12 "name": "Jane Doe",
13 "account_id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb",
14 "id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa"
15 },
16 "owner_id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb",
17 "text": "This is a comment.",
18 "timestamp": 60
19 }
20]
Fetch all Comments and Replies for a given Comment or Reply ID
Was this page helpful?
Previous

Get impressions

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

comment_idstringRequiredformat: "uuid"

Query parameters

includestringOptionalDefaults to replies

Response headers

linkstring
Pagination links
page-numberinteger
Current page of results
per-pageinteger
Number of entries per page
totalinteger
Total entries across all pagess
total-pagesinteger
Number of pages

Response

Comments success response
annotationstring
completedboolean
completed_atstring
completer_idstringformat: "uuid"
has_repliesboolean
idstringformat: "uuid"
like_countinteger
ownerobject
User model
owner_idstringformat: "uuid"
textstring
timestampinteger

Errors

401
Unauthorized Error
404
Not Found Error